<!--  
===============LICENSE_START=======================================================
Graphene Apache-2.0
===================================================================================
Copyright (C) 2017 AT&T Intellectual Property & Tech Mahindra. All rights reserved.
===================================================================================
This Graphene software file is distributed by AT&T and Tech Mahindra
under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at
 
     http://www.apache.org/licenses/LICENSE-2.0
 
This file is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
===============LICENSE_END=========================================================
-->

<section class="description_box" id="breadcrumb-box">
  <h4>Home</h4>
  <ol class="breadcrumb">
    <li><a href="#">Home</a></li>
    <li><a href="#"></a></li>
  </ol>
  </section> 
<div class="col-md-12">
	
<section class="modal-dialog password">
	<h4 class="modal-header">Reset Password ?</h4>
	<span class="error" ng-show="ribbonShow" class="">{{ribbonMsg}}</span>
	<form class="modal-body" name="resetPswd">		
		 <div class="form-group">
			<label for="exampleInputPassword1">Old Password</label>
			<input type="password" class="form-control" id="exampleInputPassword1" placeholder="Password" ng-model="oldPswd" required>
		  </div>
		  <!-- <div class="form-group">
			<label for="exampleInputPassword2">New Password</label>
			<input type="password" class="form-control" id="exampleInputPassword2" placeholder="Password">
		  </div>
		  <div class="form-group">
			<label for="exampleInputPassword3">Confirm New Password</label>
			<input type="password" class="form-control" id="exampleInputPassword3" placeholder="Password">
		  </div> -->
		  
		  <div class="form-group">
                <label for="exampleInputPassword1">Password</label>
                <input type="Password" class="form-control signincontrol" id="pwd" name="pwd" ng-model="newPswd" placeholder="Password" valid-password>
               <div class="help-inline" ng-class="{validationmsg:!resetPswd.pwd.$valid}">
        <span ng-show="!!resetPswd.pwd.$error.isBlank">Password Required.</span>
        <span ng-show="!! (resetPswd.pwd.$dirty && resetPswd.pwd.$error.isWeak)">Must contain one upper &amp; lower case letter and a non-letter (number or symbol.)</span>
        <span ng-show="!! (resetPswd.pwd.$dirty && resetPswd.pwd.$error.invalidLen)">Must be 8-20 characters.</span>
        </div>
                </div>
                <div class="form-group">
                <label for="exampleInputPassword1">Confirm Password</label>
                <input type="Password" class="form-control signincontrol" id="cpwd" name="cpwd" ng-model="cpwd" placeholder="Password" valid-pswd-c>
                 <div class="help-inline" ng-class="{validationmsg:!resetPswd.cpwd.$valid}">
          <span ng-show="!!resetPswd.cpwd.$error.isBlank">Confirmation Required.</span>
          <span ng-show="!!(resetPswd.cpwd.$dirty && resetPswd.cpwd.$error.noMatch)">Passwords don't match.</span>
        </div>
                </div>
		  
		  
		  <button type="submit" ng-click="changePswd()" class="btn btn-default replybtn">Submit</button>
	</form>
</section>

</div> 